> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar Habilidade por ID

> Retorna os detalhes de uma habilidade global cadastrada pelo ID



## OpenAPI

````yaml https://raw.githubusercontent.com/prefeitura-rio/app-go-api/refs/heads/main/docs/openapi-v3.json get /api/v1/empregabilidade/habilidades/{id}
openapi: 3.0.0
info:
  description: API de serviços para aplicativos da Prefeitura do Rio
  title: API Go
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: https://iplan.rio
    email: frederico.zolio@prefeitura.rio
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://services.pref.rio/go
    description: Production
  - url: https://services.staging.app.dados.rio/go
    description: Staging
security:
  - BearerAuth: []
paths:
  /api/v1/empregabilidade/habilidades/{id}:
    get:
      tags:
        - empregabilidade-habilidades
      summary: Buscar Habilidade por ID
      description: Retorna os detalhes de uma habilidade global cadastrada pelo ID
      parameters:
        - example: 10
          description: ID da Habilidade
          name: id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/empregabilidade.Habilidade'
        '400':
          description: ID inválido
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.ErrorResponse'
        '404':
          description: Habilidade não encontrada
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.ErrorResponse'
        '500':
          description: Erro ao buscar habilidade
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    empregabilidade.Habilidade:
      type: object
      properties:
        areas:
          type: array
          items:
            $ref: '#/components/schemas/empregabilidade.AreaAtuacao'
        created_at:
          type: string
        id:
          type: integer
        nome:
          type: string
        updated_at:
          type: string
    response.ErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: Mensagem de erro aqui
    empregabilidade.AreaAtuacao:
      type: object
      properties:
        created_at:
          type: string
        habilidades:
          type: array
          items:
            $ref: '#/components/schemas/empregabilidade.Habilidade'
        id:
          type: integer
        nome:
          type: string
        updated_at:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.